AcquisityDeveloper Docs
Cold email agentCampaigns

List email accounts

GET
/v1/workspaces/{workspaceId}/email-accounts

Authorization

bearerAuth
AuthorizationBearer <token>

Paste the full personal access token or organization API key value. Examples: acq_live_..., acq_org_.... Tokens can be limited to resource/action scopes such as workspaces:read, people:write, and deals:write. Some integration endpoints require an organization key even when a personal token has the named resource scope.

In: header

Path Parameters

workspaceId*string

Workspace id.

Formatuuid

Query Parameters

limit?integer

Maximum number of email accounts to return. Defaults to 50. Minimum 1, maximum 100.

Range1 <= value <= 100
Default50
cursor?string

Opaque pagination cursor from meta.pagination.nextCursor. Omit for the first page and pass back unchanged for the next page.

Length1 <= length <= 8192
status?string

Return email accounts with this status.

Value in

  • "pending"
  • "active"
  • "warming"
  • "error"
createdAfter?string

Return email accounts created on or after this ISO 8601 date-time.

Formatdate-time
createdBefore?string

Return email accounts created on or before this ISO 8601 date-time.

Formatdate-time

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/email-accounts"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c",      "email": "user@example.com",      "status": "pending",      "isInWarmup": true,      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "links": {    "self": "http://example.com",    "next": "http://example.com"  },  "meta": {    "pagination": {      "nextCursor": "string",      "hasMore": true,      "limit": 1    }  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string",    "details": null  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string",    "details": null  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string",    "details": null  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string",    "details": null  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string",    "details": null  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string",    "details": null  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string",    "details": null  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string",    "details": null  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string",    "details": null  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string",    "details": null  }}